Skip to main content
POST
/
v1
/
orgs
/
{org_id}
/
knowledge
/
documents
/
structured
Create Structured Document
curl --request POST \
  --url https://api.letpiper.com/v1/orgs/{org_id}/knowledge/documents/structured \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "collectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "filename": "<string>",
  "content": "<string>",
  "mimeType": "text/markdown",
  "relativePath": "<string>",
  "title": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "collectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "filename": "<string>",
  "mimeType": "<string>",
  "bytesIngested": 123,
  "processingStatus": "<string>",
  "processingProgress": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "relativePath": "<string>",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "processingError": "<string>",
  "language": "<string>",
  "bookmarkMode": "none"
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required

Body

application/json

Payload for creating a single structured knowledge document.

collectionId
string<uuid>
required
filename
string
required
content
string
required
mimeType
string
default:text/markdown
relativePath
string | null
title
string | null

Response

Successful Response

Representation of a knowledge document record.

id
string<uuid>
required
collectionId
string<uuid>
required
filename
string
required
mimeType
string
required
bytesIngested
integer
required
processingStatus
string
required
processingProgress
integer
required
createdAt
string<date-time>
required
relativePath
string | null
organizationId
string<uuid> | null
title
string | null
processingError
string | null
language
string | null
bookmarkMode
string
default:none